org.apache.olingo.commons.api

## Interface IConstants

- All Known Implementing Classes:
    Constantsv00, Constantsv01

      public interface IConstants

  Constant values related to the OData protocol.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAssociationLink()`
    `String` | `getBind()`
    `String` | `getContext()`
    `String` | `getCount()`
    `String` | `getDeltaLink()`
    `String` | `getEditLink()`
    `String` | `getEtag()`
    `String` | `getId()`
    `String` | `getMediaContentType()`
    `String` | `getMediaEditLink()`
    `String` | `getMediaEtag()`
    `String` | `getMediaReadLink()`
    `String` | `getMetadata()`
    `String` | `getMetadataEtag()`
    `String` | `getNavigationLink()`
    `String` | `getNextLink()`
    `String` | `getReadLink()`
    `String` | `getType()`

- - ### Method Detail

    - #### getMetadata

          String getMetadata()

    - #### getType

          String getType()

    - #### getId

          String getId()

    - #### getReadLink

          String getReadLink()

    - #### getEditLink

          String getEditLink()

    - #### getContext

          String getContext()

    - #### getEtag

          String getEtag()

    - #### getMediaEtag

          String getMediaEtag()

    - #### getMediaContentType

          String getMediaContentType()

    - #### getMediaReadLink

          String getMediaReadLink()

    - #### getMediaEditLink

          String getMediaEditLink()

    - #### getMetadataEtag

          String getMetadataEtag()

    - #### getBind

          String getBind()

    - #### getAssociationLink

          String getAssociationLink()

    - #### getNavigationLink

          String getNavigationLink()

    - #### getCount

          String getCount()

    - #### getNextLink

          String getNextLink()

    - #### getDeltaLink

          String getDeltaLink()

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.